package com.up.sell.util;

public class ResultException extends RuntimeException{
	
	private static final long serialVersionUID = -87606125264929377L;
	
	private int code = Constant.CODE_EXCEPTION;

	public ResultException() {
		super();
	}
	
	public ResultException(int code,String message) {
		super(message);
		this.code=code;
	}

	public ResultException(String message) {
		super(message);
	}
	
	public void setCode(int code){
		this.code=code;
	}
	
	public int getCode(){
		return this.code;
	}

}
