package com.up.sell.vo;

import java.util.Date;

public class H5Page {
    /**
     * 
     */
    private Integer id;

    /**
     * 状态标识（0关、1开）
     */
    private Integer flag;

    /**
     * 页面类型（数据来源于字典表121）
     */
    private Integer pageType;

    /**
     * 标题
     */
    private String title;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 省ID
     */
    private String provinceId;

    /**
     * 市ID
     */
    private String cityId;

    /**
     * 创建人,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 正文
     */
    private String content;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 状态标识（0关、1开）
     * @return flag 状态标识（0关、1开）
     */
    public Integer getFlag() {
        return flag;
    }

    /**
     * 状态标识（0关、1开）
     * @param flag 状态标识（0关、1开）
     */
    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    /**
     * 页面类型（数据来源于字典表121）
     * @return page_type 页面类型（数据来源于字典表121）
     */
    public Integer getPageType() {
        return pageType;
    }

    /**
     * 页面类型（数据来源于字典表121）
     * @param pageType 页面类型（数据来源于字典表121）
     */
    public void setPageType(Integer pageType) {
        this.pageType = pageType;
    }

    /**
     * 标题
     * @return title 标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 标题
     * @param title 标题
     */
    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    /**
     * 排序
     * @return sort 排序
     */
    public Integer getSort() {
        return sort;
    }

    /**
     * 排序
     * @param sort 排序
     */
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    /**
     * 省ID
     * @return province_id 省ID
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 省ID
     * @param provinceId 省ID
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 市ID
     * @return city_id 市ID
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 市ID
     * @param cityId 市ID
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 创建人,user表ID
     * @return create_user 创建人,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建人,user表ID
     * @param createUser 创建人,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 正文
     * @return content 正文
     */
    public String getContent() {
        return content;
    }

    /**
     * 正文
     * @param content 正文
     */
    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }
}