package com.up.sell.vo;

import java.util.Date;

public class InformationChannel {
    /**
     * 
     */
    private Integer id;

    /**
     * 状态标识（数据来源于字典表107）
     */
    private Integer flag;

    /**
     * 标题
     */
    private String title;

    /**
     * 简介
     */
    private String description;

    /**
     * 作者
     */
    private String author;

    /**
     * 阅读量
     */
    private Integer readingQuantity;

    /**
     * 图片路径
     */
    private String imgPath;

    /**
     * 省ID
     */
    private String provinceId;

    /**
     * 市ID
     */
    private String cityId;

    /**
     * 创建人,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 发布人,user表ID
     */
    private Integer publishUser;

    /**
     * 
     */
    private Date publishDate;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 正文
     */
    private String content;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 状态标识（数据来源于字典表107）
     * @return flag 状态标识（数据来源于字典表107）
     */
    public Integer getFlag() {
        return flag;
    }

    /**
     * 状态标识（数据来源于字典表107）
     * @param flag 状态标识（数据来源于字典表107）
     */
    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    /**
     * 标题
     * @return title 标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 标题
     * @param title 标题
     */
    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    /**
     * 简介
     * @return description 简介
     */
    public String getDescription() {
        return description;
    }

    /**
     * 简介
     * @param description 简介
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 作者
     * @return author 作者
     */
    public String getAuthor() {
        return author;
    }

    /**
     * 作者
     * @param author 作者
     */
    public void setAuthor(String author) {
        this.author = author == null ? null : author.trim();
    }

    /**
     * 阅读量
     * @return reading_quantity 阅读量
     */
    public Integer getReadingQuantity() {
        return readingQuantity;
    }

    /**
     * 阅读量
     * @param readingQuantity 阅读量
     */
    public void setReadingQuantity(Integer readingQuantity) {
        this.readingQuantity = readingQuantity;
    }

    /**
     * 图片路径
     * @return img_path 图片路径
     */
    public String getImgPath() {
        return imgPath;
    }

    /**
     * 图片路径
     * @param imgPath 图片路径
     */
    public void setImgPath(String imgPath) {
        this.imgPath = imgPath == null ? null : imgPath.trim();
    }

    /**
     * 省ID
     * @return province_id 省ID
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 省ID
     * @param provinceId 省ID
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 市ID
     * @return city_id 市ID
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 市ID
     * @param cityId 市ID
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 创建人,user表ID
     * @return create_user 创建人,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建人,user表ID
     * @param createUser 创建人,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 发布人,user表ID
     * @return publish_user 发布人,user表ID
     */
    public Integer getPublishUser() {
        return publishUser;
    }

    /**
     * 发布人,user表ID
     * @param publishUser 发布人,user表ID
     */
    public void setPublishUser(Integer publishUser) {
        this.publishUser = publishUser;
    }

    /**
     * 
     * @return publish_date 
     */
    public Date getPublishDate() {
        return publishDate;
    }

    /**
     * 
     * @param publishDate 
     */
    public void setPublishDate(Date publishDate) {
        this.publishDate = publishDate;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 正文
     * @return content 正文
     */
    public String getContent() {
        return content;
    }

    /**
     * 正文
     * @param content 正文
     */
    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }
}