package com.up.sell.vo;

import java.util.Date;

public class MemberBank {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 银行卡号
     */
    private String cardNo;

    /**
     * 银行：数据来源于字典表135
     */
    private Integer bankId;

    /**
     * 开户行
     */
    private String accountBank;

    /**
     * 账户名称
     */
    private String accountName;

    /**
     * 会员ID
     */
    private Integer memberId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 主键
     * @return id 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 银行卡号
     * @return card_no 银行卡号
     */
    public String getCardNo() {
        return cardNo;
    }

    /**
     * 银行卡号
     * @param cardNo 银行卡号
     */
    public void setCardNo(String cardNo) {
        this.cardNo = cardNo == null ? null : cardNo.trim();
    }

    /**
     * 银行：数据来源于字典表135
     * @return bank_id 银行：数据来源于字典表135
     */
    public Integer getBankId() {
        return bankId;
    }

    /**
     * 银行：数据来源于字典表135
     * @param bankId 银行：数据来源于字典表135
     */
    public void setBankId(Integer bankId) {
        this.bankId = bankId;
    }

    /**
     * 开户行
     * @return account_bank 开户行
     */
    public String getAccountBank() {
        return accountBank;
    }

    /**
     * 开户行
     * @param accountBank 开户行
     */
    public void setAccountBank(String accountBank) {
        this.accountBank = accountBank == null ? null : accountBank.trim();
    }

    /**
     * 账户名称
     * @return account_name 账户名称
     */
    public String getAccountName() {
        return accountName;
    }

    /**
     * 账户名称
     * @param accountName 账户名称
     */
    public void setAccountName(String accountName) {
        this.accountName = accountName == null ? null : accountName.trim();
    }

    /**
     * 会员ID
     * @return member_id 会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 会员ID
     * @param memberId 会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}