package com.up.sell.vo;

import java.util.Date;

public class ProjectLicense {
    /**
     * 
     */
    private Long id;

    /**
     * 项目ID
     */
    private Integer projectId;

    /**
     * 预售许可证
     */
    private String salesLicense;

    /**
     * 预售许可证发证日期
     */
    private Date salesLicenseDate;

    /**
     * 预售许可证对应的楼号
     */
    private String salesLicenseScope;

    /**
     * 
     * @return id 
     */
    public Long getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 项目ID
     * @return project_id 项目ID
     */
    public Integer getProjectId() {
        return projectId;
    }

    /**
     * 项目ID
     * @param projectId 项目ID
     */
    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    /**
     * 预售许可证
     * @return sales_license 预售许可证
     */
    public String getSalesLicense() {
        return salesLicense;
    }

    /**
     * 预售许可证
     * @param salesLicense 预售许可证
     */
    public void setSalesLicense(String salesLicense) {
        this.salesLicense = salesLicense == null ? null : salesLicense.trim();
    }

    /**
     * 预售许可证发证日期
     * @return sales_license_date 预售许可证发证日期
     */
    public Date getSalesLicenseDate() {
        return salesLicenseDate;
    }

    /**
     * 预售许可证发证日期
     * @param salesLicenseDate 预售许可证发证日期
     */
    public void setSalesLicenseDate(Date salesLicenseDate) {
        this.salesLicenseDate = salesLicenseDate;
    }

    /**
     * 预售许可证对应的楼号
     * @return sales_license_scope 预售许可证对应的楼号
     */
    public String getSalesLicenseScope() {
        return salesLicenseScope;
    }

    /**
     * 预售许可证对应的楼号
     * @param salesLicenseScope 预售许可证对应的楼号
     */
    public void setSalesLicenseScope(String salesLicenseScope) {
        this.salesLicenseScope = salesLicenseScope == null ? null : salesLicenseScope.trim();
    }
}