package com.up.sell.vo;

import java.util.Date;

public class ProjectPicture {
    /**
     * 
     */
    private Integer id;

    /**
     * 项目ID
     */
    private Integer projectId;

    /**
     * 图片排序，同一个业务多张图片可以排序
     */
    private Integer sort;

    /**
     * 图片路径，域名后的全部存入数据库中
     */
    private String picPath;

    /**
     * 图片描述
     */
    private String description;

    /**
     * 价格总价
     */
    private Double price;

    /**
     * 创建人,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 项目ID
     * @return project_id 项目ID
     */
    public Integer getProjectId() {
        return projectId;
    }

    /**
     * 项目ID
     * @param projectId 项目ID
     */
    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    /**
     * 图片排序，同一个业务多张图片可以排序
     * @return sort 图片排序，同一个业务多张图片可以排序
     */
    public Integer getSort() {
        return sort;
    }

    /**
     * 图片排序，同一个业务多张图片可以排序
     * @param sort 图片排序，同一个业务多张图片可以排序
     */
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    /**
     * 图片路径，域名后的全部存入数据库中
     * @return pic_path 图片路径，域名后的全部存入数据库中
     */
    public String getPicPath() {
        return picPath;
    }

    /**
     * 图片路径，域名后的全部存入数据库中
     * @param picPath 图片路径，域名后的全部存入数据库中
     */
    public void setPicPath(String picPath) {
        this.picPath = picPath == null ? null : picPath.trim();
    }

    /**
     * 图片描述
     * @return description 图片描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 图片描述
     * @param description 图片描述
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 价格总价
     * @return price 价格总价
     */
    public Double getPrice() {
        return price;
    }

    /**
     * 价格总价
     * @param price 价格总价
     */
    public void setPrice(Double price) {
        this.price = price;
    }

    /**
     * 创建人,user表ID
     * @return create_user 创建人,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建人,user表ID
     * @param createUser 创建人,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}