package com.up.sell.vo;

import java.util.Date;

public class ProjectReleased {
    /**
     * 
     */
    private Long id;

    /**
     * 项目状态（数据来源于字典表106）
     */
    private Integer projectStatus;

    /**
     * 项目类型（数据来源于字典表109）
     */
    private Integer projectType;

    /**
     * 房屋类型：（数据来源于字典表122）
     */
    private Integer houseType;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 价格（元/㎡）：销售均价、租金均价
     */
    private Double price;

    /**
     * 建筑面积㎡
     */
    private Double acreage;

    /**
     * 所属省ID
     */
    private String provinceId;

    /**
     * 所属市ID
     */
    private String cityId;

    /**
     * 项目地址
     */
    private String address;

    /**
     * 描述
     */
    private String description;

    /**
     * 相关图片：多张图片用;隔开
     */
    private String projectPic;

    /**
     * 会员ID
     */
    private Integer memberId;

    /**
     * 审批人,user表ID
     */
    private Integer approveUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 审批时间
     */
    private Date approveTime;

    /**
     * 审批意见
     */
    private String reasons;

    /**
     * 
     * @return id 
     */
    public Long getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 项目状态（数据来源于字典表106）
     * @return project_status 项目状态（数据来源于字典表106）
     */
    public Integer getProjectStatus() {
        return projectStatus;
    }

    /**
     * 项目状态（数据来源于字典表106）
     * @param projectStatus 项目状态（数据来源于字典表106）
     */
    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }

    /**
     * 项目类型（数据来源于字典表109）
     * @return project_type 项目类型（数据来源于字典表109）
     */
    public Integer getProjectType() {
        return projectType;
    }

    /**
     * 项目类型（数据来源于字典表109）
     * @param projectType 项目类型（数据来源于字典表109）
     */
    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    /**
     * 房屋类型：（数据来源于字典表122）
     * @return house_type 房屋类型：（数据来源于字典表122）
     */
    public Integer getHouseType() {
        return houseType;
    }

    /**
     * 房屋类型：（数据来源于字典表122）
     * @param houseType 房屋类型：（数据来源于字典表122）
     */
    public void setHouseType(Integer houseType) {
        this.houseType = houseType;
    }

    /**
     * 项目名称
     * @return project_name 项目名称
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 项目名称
     * @param projectName 项目名称
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    /**
     * 价格（元/㎡）：销售均价、租金均价
     * @return price 价格（元/㎡）：销售均价、租金均价
     */
    public Double getPrice() {
        return price;
    }

    /**
     * 价格（元/㎡）：销售均价、租金均价
     * @param price 价格（元/㎡）：销售均价、租金均价
     */
    public void setPrice(Double price) {
        this.price = price;
    }

    /**
     * 建筑面积㎡
     * @return acreage 建筑面积㎡
     */
    public Double getAcreage() {
        return acreage;
    }

    /**
     * 建筑面积㎡
     * @param acreage 建筑面积㎡
     */
    public void setAcreage(Double acreage) {
        this.acreage = acreage;
    }

    /**
     * 所属省ID
     * @return province_id 所属省ID
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 所属省ID
     * @param provinceId 所属省ID
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 所属市ID
     * @return city_id 所属市ID
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 所属市ID
     * @param cityId 所属市ID
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 项目地址
     * @return address 项目地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 项目地址
     * @param address 项目地址
     */
    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    /**
     * 描述
     * @return description 描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 描述
     * @param description 描述
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 相关图片：多张图片用;隔开
     * @return project_pic 相关图片：多张图片用;隔开
     */
    public String getProjectPic() {
        return projectPic;
    }

    /**
     * 相关图片：多张图片用;隔开
     * @param projectPic 相关图片：多张图片用;隔开
     */
    public void setProjectPic(String projectPic) {
        this.projectPic = projectPic == null ? null : projectPic.trim();
    }

    /**
     * 会员ID
     * @return member_id 会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 会员ID
     * @param memberId 会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 审批人,user表ID
     * @return approve_user 审批人,user表ID
     */
    public Integer getApproveUser() {
        return approveUser;
    }

    /**
     * 审批人,user表ID
     * @param approveUser 审批人,user表ID
     */
    public void setApproveUser(Integer approveUser) {
        this.approveUser = approveUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 审批时间
     * @return approve_time 审批时间
     */
    public Date getApproveTime() {
        return approveTime;
    }

    /**
     * 审批时间
     * @param approveTime 审批时间
     */
    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    /**
     * 审批意见
     * @return reasons 审批意见
     */
    public String getReasons() {
        return reasons;
    }

    /**
     * 审批意见
     * @param reasons 审批意见
     */
    public void setReasons(String reasons) {
        this.reasons = reasons == null ? null : reasons.trim();
    }
}