/**
 * 
 */
package com.up.sell.run;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author Administrator
 *
 */
@SpringBootApplication(scanBasePackages = {"com.up.sell"})
@MapperScan(basePackages= {"com.up.sell.mapper"})
@EnableTransactionManagement
@EnableAsync
@EnableScheduling
public class UpSpringApplication {
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		SpringApplication.run(UpSpringApplication.class, args);
	}

}
