package com.up.sell.vo;

import java.util.Date;

public class Advertisement {
    /**
     * ID
     */
    private Integer id;

    /**
     * 标题
     */
    private String title;

    /**
     * 图片路径
     */
    private String imgPath;

    /**
     * 链接
     */
    private String url;

    /**
     * 简介描述
     */
    private String description;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 位置（数据来源于字典表111）
     */
    private Integer place;

    /**
     * 省ID
     */
    private String provinceId;

    /**
     * 市ID
     */
    private String cityId;

    /**
     * 是否显示：0不显示、1显示
     */
    private Integer advFlag;

    /**
     * 创建者,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * ID
     * @return id ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * ID
     * @param id ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 标题
     * @return title 标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 标题
     * @param title 标题
     */
    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    /**
     * 图片路径
     * @return img_path 图片路径
     */
    public String getImgPath() {
        return imgPath;
    }

    /**
     * 图片路径
     * @param imgPath 图片路径
     */
    public void setImgPath(String imgPath) {
        this.imgPath = imgPath == null ? null : imgPath.trim();
    }

    /**
     * 链接
     * @return url 链接
     */
    public String getUrl() {
        return url;
    }

    /**
     * 链接
     * @param url 链接
     */
    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    /**
     * 简介描述
     * @return description 简介描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 简介描述
     * @param description 简介描述
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 排序
     * @return sort 排序
     */
    public Integer getSort() {
        return sort;
    }

    /**
     * 排序
     * @param sort 排序
     */
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    /**
     * 位置（数据来源于字典表111）
     * @return place 位置（数据来源于字典表111）
     */
    public Integer getPlace() {
        return place;
    }

    /**
     * 位置（数据来源于字典表111）
     * @param place 位置（数据来源于字典表111）
     */
    public void setPlace(Integer place) {
        this.place = place;
    }

    /**
     * 省ID
     * @return province_id 省ID
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 省ID
     * @param provinceId 省ID
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 市ID
     * @return city_id 市ID
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 市ID
     * @param cityId 市ID
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 是否显示：0不显示、1显示
     * @return adv_flag 是否显示：0不显示、1显示
     */
    public Integer getAdvFlag() {
        return advFlag;
    }

    /**
     * 是否显示：0不显示、1显示
     * @param advFlag 是否显示：0不显示、1显示
     */
    public void setAdvFlag(Integer advFlag) {
        this.advFlag = advFlag;
    }

    /**
     * 创建者,user表ID
     * @return create_user 创建者,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建者,user表ID
     * @param createUser 创建者,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}