package com.up.sell.vo;

import java.util.Date;

public class AppVersionUpdate {
    /**
     * 
     */
    private Integer id;

    /**
     * 最新版本号
     */
    private String appVersion;

    /**
     * 下载地址
     */
    private String url;

    /**
     * app类型：1、安卓 2、IOS
     */
    private Integer type;

    /**
     * 升级说明
     */
    private String description;

    /**
     * 是否强制升级：0不强制升级 1强制升级
     */
    private Integer forceUpdate;

    /**
     * 创建者
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 最新版本号
     * @return app_version 最新版本号
     */
    public String getAppVersion() {
        return appVersion;
    }

    /**
     * 最新版本号
     * @param appVersion 最新版本号
     */
    public void setAppVersion(String appVersion) {
        this.appVersion = appVersion == null ? null : appVersion.trim();
    }

    /**
     * 下载地址
     * @return url 下载地址
     */
    public String getUrl() {
        return url;
    }

    /**
     * 下载地址
     * @param url 下载地址
     */
    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    /**
     * app类型：1、安卓 2、IOS
     * @return type app类型：1、安卓 2、IOS
     */
    public Integer getType() {
        return type;
    }

    /**
     * app类型：1、安卓 2、IOS
     * @param type app类型：1、安卓 2、IOS
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 升级说明
     * @return description 升级说明
     */
    public String getDescription() {
        return description;
    }

    /**
     * 升级说明
     * @param description 升级说明
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 是否强制升级：0不强制升级 1强制升级
     * @return force_update 是否强制升级：0不强制升级 1强制升级
     */
    public Integer getForceUpdate() {
        return forceUpdate;
    }

    /**
     * 是否强制升级：0不强制升级 1强制升级
     * @param forceUpdate 是否强制升级：0不强制升级 1强制升级
     */
    public void setForceUpdate(Integer forceUpdate) {
        this.forceUpdate = forceUpdate;
    }

    /**
     * 创建者
     * @return create_user 创建者
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建者
     * @param createUser 创建者
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新人
     * @return update_user 最后更新人
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人
     * @param updateUser 最后更新人
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}