package com.up.sell.vo;

import java.util.Date;

public class BrandContacts {
    /**
     * 
     */
    private Integer id;

    /**
     * 审核状态标识（数据来源于字典表108）
     */
    private Integer flag;

    /**
     * 品牌ID
     */
    private Integer brandDatabaseId;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 真实姓名
     */
    private String userName;

    /**
     * 岗位（数据来源于字典表127）
     */
    private Integer post;

    /**
     * 发布时所在省ID
     */
    private String provinceId;

    /**
     * 发布时所在市ID
     */
    private String cityId;

    /**
     * 会员ID
     */
    private Integer memberId;

    /**
     * 创建人,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 审核状态标识（数据来源于字典表108）
     * @return flag 审核状态标识（数据来源于字典表108）
     */
    public Integer getFlag() {
        return flag;
    }

    /**
     * 审核状态标识（数据来源于字典表108）
     * @param flag 审核状态标识（数据来源于字典表108）
     */
    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    /**
     * 品牌ID
     * @return brand_database_id 品牌ID
     */
    public Integer getBrandDatabaseId() {
        return brandDatabaseId;
    }

    /**
     * 品牌ID
     * @param brandDatabaseId 品牌ID
     */
    public void setBrandDatabaseId(Integer brandDatabaseId) {
        this.brandDatabaseId = brandDatabaseId;
    }

    /**
     * 手机号码
     * @return mobile 手机号码
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 手机号码
     * @param mobile 手机号码
     */
    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    /**
     * 真实姓名
     * @return user_name 真实姓名
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 真实姓名
     * @param userName 真实姓名
     */
    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    /**
     * 岗位（数据来源于字典表127）
     * @return post 岗位（数据来源于字典表127）
     */
    public Integer getPost() {
        return post;
    }

    /**
     * 岗位（数据来源于字典表127）
     * @param post 岗位（数据来源于字典表127）
     */
    public void setPost(Integer post) {
        this.post = post;
    }

    /**
     * 发布时所在省ID
     * @return province_id 发布时所在省ID
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 发布时所在省ID
     * @param provinceId 发布时所在省ID
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 发布时所在市ID
     * @return city_id 发布时所在市ID
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 发布时所在市ID
     * @param cityId 发布时所在市ID
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 会员ID
     * @return member_id 会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 会员ID
     * @param memberId 会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 创建人,user表ID
     * @return create_user 创建人,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建人,user表ID
     * @param createUser 创建人,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}