package com.up.sell.vo;

import java.util.Date;

public class BrandContactsError {
    /**
     * 
     */
    private Integer id;

    /**
     * 被纠错的联系人ID
     */
    private Integer brandContactsId;

    /**
     * 审核状态标识（数据来源于字典表108）
     */
    private Integer flag;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 真实姓名
     */
    private String userName;

    /**
     * 岗位（数据来源于字典表127）
     */
    private Integer post;

    /**
     * 发布时所在省ID
     */
    private String provinceId;

    /**
     * 发布时所在市ID
     */
    private String cityId;

    /**
     * 纠错会员ID
     */
    private Integer memberId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 审批人,user表ID
     */
    private Integer approveUser;

    /**
     * 审批时间
     */
    private Date approveTime;

    /**
     * 审批意见
     */
    private String reasons;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 被纠错的联系人ID
     * @return brand_contacts_id 被纠错的联系人ID
     */
    public Integer getBrandContactsId() {
        return brandContactsId;
    }

    /**
     * 被纠错的联系人ID
     * @param brandContactsId 被纠错的联系人ID
     */
    public void setBrandContactsId(Integer brandContactsId) {
        this.brandContactsId = brandContactsId;
    }

    /**
     * 审核状态标识（数据来源于字典表108）
     * @return flag 审核状态标识（数据来源于字典表108）
     */
    public Integer getFlag() {
        return flag;
    }

    /**
     * 审核状态标识（数据来源于字典表108）
     * @param flag 审核状态标识（数据来源于字典表108）
     */
    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    /**
     * 手机号码
     * @return mobile 手机号码
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 手机号码
     * @param mobile 手机号码
     */
    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    /**
     * 真实姓名
     * @return user_name 真实姓名
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 真实姓名
     * @param userName 真实姓名
     */
    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    /**
     * 岗位（数据来源于字典表127）
     * @return post 岗位（数据来源于字典表127）
     */
    public Integer getPost() {
        return post;
    }

    /**
     * 岗位（数据来源于字典表127）
     * @param post 岗位（数据来源于字典表127）
     */
    public void setPost(Integer post) {
        this.post = post;
    }

    /**
     * 发布时所在省ID
     * @return province_id 发布时所在省ID
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 发布时所在省ID
     * @param provinceId 发布时所在省ID
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 发布时所在市ID
     * @return city_id 发布时所在市ID
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 发布时所在市ID
     * @param cityId 发布时所在市ID
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 纠错会员ID
     * @return member_id 纠错会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 纠错会员ID
     * @param memberId 纠错会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 审批人,user表ID
     * @return approve_user 审批人,user表ID
     */
    public Integer getApproveUser() {
        return approveUser;
    }

    /**
     * 审批人,user表ID
     * @param approveUser 审批人,user表ID
     */
    public void setApproveUser(Integer approveUser) {
        this.approveUser = approveUser;
    }

    /**
     * 审批时间
     * @return approve_time 审批时间
     */
    public Date getApproveTime() {
        return approveTime;
    }

    /**
     * 审批时间
     * @param approveTime 审批时间
     */
    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    /**
     * 审批意见
     * @return reasons 审批意见
     */
    public String getReasons() {
        return reasons;
    }

    /**
     * 审批意见
     * @param reasons 审批意见
     */
    public void setReasons(String reasons) {
        this.reasons = reasons == null ? null : reasons.trim();
    }
}