package com.up.sell.vo;

import java.util.Date;

public class MemberRegisterLog {
    /**
     * 会员ID
     */
    private Integer memberId;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 手机型号
     */
    private String deviceName;

    /**
     * 来源（数据来源于字典表103）
     */
    private Integer source;

    /**
     * 用户的APP版本
     */
    private String appVersion;

    /**
     * 
     */
    private String ipAddress;

    /**
     * 国家
     */
    private String country;

    /**
     * 
     */
    private String countryId;

    /**
     * 地区
     */
    private String area;

    /**
     * 
     */
    private String areaId;

    /**
     * 省
     */
    private String region;

    /**
     * 
     */
    private String regionId;

    /**
     * 市
     */
    private String city;

    /**
     * 
     */
    private String cityId;

    /**
     * 区
     */
    private String county;

    /**
     * 
     */
    private String countyId;

    /**
     * 运营商
     */
    private String isp;

    /**
     * 
     */
    private String ispId;

    /**
     * 注册时间
     */
    private Date createTime;

    /**
     * 会员ID
     * @return member_id 会员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 会员ID
     * @param memberId 会员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 设备ID
     * @return device_id 设备ID
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     * 设备ID
     * @param deviceId 设备ID
     */
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId == null ? null : deviceId.trim();
    }

    /**
     * 手机型号
     * @return device_name 手机型号
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * 手机型号
     * @param deviceName 手机型号
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    /**
     * 来源（数据来源于字典表103）
     * @return source 来源（数据来源于字典表103）
     */
    public Integer getSource() {
        return source;
    }

    /**
     * 来源（数据来源于字典表103）
     * @param source 来源（数据来源于字典表103）
     */
    public void setSource(Integer source) {
        this.source = source;
    }

    /**
     * 用户的APP版本
     * @return app_version 用户的APP版本
     */
    public String getAppVersion() {
        return appVersion;
    }

    /**
     * 用户的APP版本
     * @param appVersion 用户的APP版本
     */
    public void setAppVersion(String appVersion) {
        this.appVersion = appVersion == null ? null : appVersion.trim();
    }

    /**
     * 
     * @return ip_address 
     */
    public String getIpAddress() {
        return ipAddress;
    }

    /**
     * 
     * @param ipAddress 
     */
    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress == null ? null : ipAddress.trim();
    }

    /**
     * 国家
     * @return country 国家
     */
    public String getCountry() {
        return country;
    }

    /**
     * 国家
     * @param country 国家
     */
    public void setCountry(String country) {
        this.country = country == null ? null : country.trim();
    }

    /**
     * 
     * @return country_id 
     */
    public String getCountryId() {
        return countryId;
    }

    /**
     * 
     * @param countryId 
     */
    public void setCountryId(String countryId) {
        this.countryId = countryId == null ? null : countryId.trim();
    }

    /**
     * 地区
     * @return area 地区
     */
    public String getArea() {
        return area;
    }

    /**
     * 地区
     * @param area 地区
     */
    public void setArea(String area) {
        this.area = area == null ? null : area.trim();
    }

    /**
     * 
     * @return area_id 
     */
    public String getAreaId() {
        return areaId;
    }

    /**
     * 
     * @param areaId 
     */
    public void setAreaId(String areaId) {
        this.areaId = areaId == null ? null : areaId.trim();
    }

    /**
     * 省
     * @return region 省
     */
    public String getRegion() {
        return region;
    }

    /**
     * 省
     * @param region 省
     */
    public void setRegion(String region) {
        this.region = region == null ? null : region.trim();
    }

    /**
     * 
     * @return region_id 
     */
    public String getRegionId() {
        return regionId;
    }

    /**
     * 
     * @param regionId 
     */
    public void setRegionId(String regionId) {
        this.regionId = regionId == null ? null : regionId.trim();
    }

    /**
     * 市
     * @return city 市
     */
    public String getCity() {
        return city;
    }

    /**
     * 市
     * @param city 市
     */
    public void setCity(String city) {
        this.city = city == null ? null : city.trim();
    }

    /**
     * 
     * @return city_id 
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 
     * @param cityId 
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 区
     * @return county 区
     */
    public String getCounty() {
        return county;
    }

    /**
     * 区
     * @param county 区
     */
    public void setCounty(String county) {
        this.county = county == null ? null : county.trim();
    }

    /**
     * 
     * @return county_id 
     */
    public String getCountyId() {
        return countyId;
    }

    /**
     * 
     * @param countyId 
     */
    public void setCountyId(String countyId) {
        this.countyId = countyId == null ? null : countyId.trim();
    }

    /**
     * 运营商
     * @return isp 运营商
     */
    public String getIsp() {
        return isp;
    }

    /**
     * 运营商
     * @param isp 运营商
     */
    public void setIsp(String isp) {
        this.isp = isp == null ? null : isp.trim();
    }

    /**
     * 
     * @return isp_id 
     */
    public String getIspId() {
        return ispId;
    }

    /**
     * 
     * @param ispId 
     */
    public void setIspId(String ispId) {
        this.ispId = ispId == null ? null : ispId.trim();
    }

    /**
     * 注册时间
     * @return create_time 注册时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 注册时间
     * @param createTime 注册时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}