package com.up.sell.vo;

import java.util.Date;

public class MemberService {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 等级顺序
     */
    private Integer sort;

    /**
     * 服务名称
     */
    private String serviceName;

    /**
     * 每日查看次数
     */
    private Integer viewCount;

    /**
     * 升级会员需要支付的金额
     */
    private Double payAmount;

    /**
     * 会员的有效期，单位为天
     */
    private Integer usefulLife;

    /**
     * 备注说明
     */
    private String description;

    /**
     * 服务图标
     */
    private String iconPath;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人,user表ID
     */
    private Integer createUser;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 主键
     * @return id 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 等级顺序
     * @return sort 等级顺序
     */
    public Integer getSort() {
        return sort;
    }

    /**
     * 等级顺序
     * @param sort 等级顺序
     */
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    /**
     * 服务名称
     * @return service_name 服务名称
     */
    public String getServiceName() {
        return serviceName;
    }

    /**
     * 服务名称
     * @param serviceName 服务名称
     */
    public void setServiceName(String serviceName) {
        this.serviceName = serviceName == null ? null : serviceName.trim();
    }

    /**
     * 每日查看次数
     * @return view_count 每日查看次数
     */
    public Integer getViewCount() {
        return viewCount;
    }

    /**
     * 每日查看次数
     * @param viewCount 每日查看次数
     */
    public void setViewCount(Integer viewCount) {
        this.viewCount = viewCount;
    }

    /**
     * 升级会员需要支付的金额
     * @return pay_amount 升级会员需要支付的金额
     */
    public Double getPayAmount() {
        return payAmount;
    }

    /**
     * 升级会员需要支付的金额
     * @param payAmount 升级会员需要支付的金额
     */
    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    /**
     * 会员的有效期，单位为天
     * @return useful_life 会员的有效期，单位为天
     */
    public Integer getUsefulLife() {
        return usefulLife;
    }

    /**
     * 会员的有效期，单位为天
     * @param usefulLife 会员的有效期，单位为天
     */
    public void setUsefulLife(Integer usefulLife) {
        this.usefulLife = usefulLife;
    }

    /**
     * 备注说明
     * @return description 备注说明
     */
    public String getDescription() {
        return description;
    }

    /**
     * 备注说明
     * @param description 备注说明
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 服务图标
     * @return icon_path 服务图标
     */
    public String getIconPath() {
        return iconPath;
    }

    /**
     * 服务图标
     * @param iconPath 服务图标
     */
    public void setIconPath(String iconPath) {
        this.iconPath = iconPath == null ? null : iconPath.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建人,user表ID
     * @return create_user 创建人,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建人,user表ID
     * @param createUser 创建人,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}