package com.up.sell.vo;

import java.util.Date;

public class PriceRange {
    /**
     * 
     */
    private Integer id;

    /**
     * 起始价格
     */
    private Integer beginPrice;

    /**
     * 终止价格
     */
    private Integer endUser;

    /**
     * 中文描述
     */
    private String description;

    /**
     * 类型（数据来源于字典表109）
     */
    private Integer priceType;

    /**
     * 省ID
     */
    private String provinceId;

    /**
     * 市ID
     */
    private String cityId;

    /**
     * 创建者,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 起始价格
     * @return begin_price 起始价格
     */
    public Integer getBeginPrice() {
        return beginPrice;
    }

    /**
     * 起始价格
     * @param beginPrice 起始价格
     */
    public void setBeginPrice(Integer beginPrice) {
        this.beginPrice = beginPrice;
    }

    /**
     * 终止价格
     * @return end_user 终止价格
     */
    public Integer getEndUser() {
        return endUser;
    }

    /**
     * 终止价格
     * @param endUser 终止价格
     */
    public void setEndUser(Integer endUser) {
        this.endUser = endUser;
    }

    /**
     * 中文描述
     * @return description 中文描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 中文描述
     * @param description 中文描述
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 类型（数据来源于字典表109）
     * @return price_type 类型（数据来源于字典表109）
     */
    public Integer getPriceType() {
        return priceType;
    }

    /**
     * 类型（数据来源于字典表109）
     * @param priceType 类型（数据来源于字典表109）
     */
    public void setPriceType(Integer priceType) {
        this.priceType = priceType;
    }

    /**
     * 省ID
     * @return province_id 省ID
     */
    public String getProvinceId() {
        return provinceId;
    }

    /**
     * 省ID
     * @param provinceId 省ID
     */
    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    /**
     * 市ID
     * @return city_id 市ID
     */
    public String getCityId() {
        return cityId;
    }

    /**
     * 市ID
     * @param cityId 市ID
     */
    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    /**
     * 创建者,user表ID
     * @return create_user 创建者,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建者,user表ID
     * @param createUser 创建者,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}