package com.up.sell.vo;

import java.util.Date;

public class TeamMembers {
    /**
     * 团队ID
     */
    private Integer teamId;

    /**
     * 团队成员ID
     */
    private Integer memberId;

    /**
     * 上一级ID
     */
    private Integer parentId;

    /**
     * 团队成员等级：创始人发展的成员为1级，团队成员发展的成员为2级
     */
    private Integer teamLevel;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 团队ID
     * @return team_id 团队ID
     */
    public Integer getTeamId() {
        return teamId;
    }

    /**
     * 团队ID
     * @param teamId 团队ID
     */
    public void setTeamId(Integer teamId) {
        this.teamId = teamId;
    }

    /**
     * 团队成员ID
     * @return member_id 团队成员ID
     */
    public Integer getMemberId() {
        return memberId;
    }

    /**
     * 团队成员ID
     * @param memberId 团队成员ID
     */
    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * 上一级ID
     * @return parent_id 上一级ID
     */
    public Integer getParentId() {
        return parentId;
    }

    /**
     * 上一级ID
     * @param parentId 上一级ID
     */
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    /**
     * 团队成员等级：创始人发展的成员为1级，团队成员发展的成员为2级
     * @return team_level 团队成员等级：创始人发展的成员为1级，团队成员发展的成员为2级
     */
    public Integer getTeamLevel() {
        return teamLevel;
    }

    /**
     * 团队成员等级：创始人发展的成员为1级，团队成员发展的成员为2级
     * @param teamLevel 团队成员等级：创始人发展的成员为1级，团队成员发展的成员为2级
     */
    public void setTeamLevel(Integer teamLevel) {
        this.teamLevel = teamLevel;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}